Public Types | Static Public Member Functions | List of all members
rapidjson::ASCII< CharType > Struct Template Reference

ASCII encoding. More...

`#include <encodings.h>`

## Public Types
enum | { supportUnicode = 0 }
typedef CharType | Ch

## Static Public Member Functions
template<typename OutputStream >
static void | Encode (OutputStream &os, unsigned codepoint)
template<typename OutputStream >
static void | EncodeUnsafe (OutputStream &os, unsigned codepoint)
template<typename InputStream >
static bool | Decode (InputStream &is, unsigned *codepoint)
template<typename InputStream , typename OutputStream >
static bool | Validate (InputStream &is, OutputStream &os)
template<typename InputByteStream >
static CharType | TakeBOM (InputByteStream &is)
template<typename InputByteStream >
static Ch | Take (InputByteStream &is)
template<typename OutputByteStream >
static void | PutBOM (OutputByteStream &os)
template<typename OutputByteStream >
static void | Put (OutputByteStream &os, Ch c)

## Detailed Description

### template<typename CharType = char>
struct rapidjson::ASCII< CharType >

ASCII encoding.

http://en.wikipedia.org/wiki/ASCII

Template Parameters

  CharType | Code unit for storing 7-bit ASCII data. Default is char.

Note
  implements Encoding concept

The documentation for this struct was generated from the following file:

- include/rapidjson/encodings.h